Grading
A: Create program grading config
AuthorizationBearer <token>
In: header
Path Parameters
program_typestring
The program type identifier
program_idstring
The program id identifier
Format
uuidQuery Parameters
program_type?string
Program type (values: learning_path, course, cohort)
Default
nullValue in
"learning_path" | "course" | "cohort"program_id?string
Program ID
Default
nullFormat
uuidallow_grade_replacementboolean
Default
truecalculation_methodstring
Default
"WEIGHTED"decimal_placesinteger
Default
2grade_replacement_policystring
Default
"REPLACE"grading_scheme_idstring
Default
"{{scheme_id}}"include_failed_entitiesboolean
Default
trueprogram_idstring
Default
"{{program_id}}"program_typestring
Default
"{{program_type}}"rounding_methodstring
Default
"ROUND"Response Body
curl -X POST "https://edushade.com/api/v1/admin/learning/programs/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/grading-config?program_type=learning_path" \
-H "Content-Type: application/json" \
-d '{
"allow_grade_replacement": true,
"calculation_method": "WEIGHTED",
"decimal_places": 2,
"grade_replacement_policy": "REPLACE",
"grading_scheme_id": "{{scheme_id}}",
"include_failed_entities": true,
"program_id": "{{program_id}}",
"program_type": "{{program_type}}",
"rounding_method": "ROUND"
}'{}Empty
Empty
Empty